VCMD0028040800000000COMPONENT          
Node "rSimResource"
{
Name "CameraMaster"
Id 1
NodeClass 
{
Id 1
Feature "rTransformFeature"
{
Name "Transform"

Visible 1
VariableSpace
{
  Variable "rTVariable<rString>"
  {
    Name "Name"
    Value "Transform"
    Group 0
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group 1
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTExpressionVariable<rMatrix>"
  {
    Name "Expression"
    Value
    {
      Expression "Sx(CameraSize).Sy(CameraSize).Sz(CameraSize)"
    }
    Group 2
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
}
Transform 
{
  Expression "Sx(CameraSize).Sy(CameraSize).Sz(CameraSize)"
}

Feature "rGeoFeature"
{
Name "Transform_1"

Visible 1
VariableSpace
{
  Variable "rTVariable<rString>"
  {
    Name "Name"
    Value "Transform_1"
    Group 0
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group 1
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rUri>"
  {
    Name "Uri"
    Value ""
    Group 2
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "OnDemandLoad"
    Value 0
    Group 3
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "ShowContent"
    Value 1
    Group 4
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "ShowBackfaces"
    Value 0
    Group 5
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "CreaseAngle"
    Value 45
    Group 6
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
    Quantity "Angle" "VectorQuantity"
    {
      Groups
      {
        UnitGroup "eaf"
        {
          Unit
          {
            Name "ht"
            Suffix "rwhjrt"
            Factor 1
            Offset 0
          }
          Family "US degrees"
        }
        UnitGroup "Anzahl"
        {
          Unit
          {
            Name "Stück"
            Suffix "Stk"
            Factor 1
            Offset 0
          }
          Family "Count"
          Family "Position"
        }
        UnitGroup "Euro"
        {
          Family "Test"
        }
      }
    }
    Magnitude 1
  }
  Variable "rTEnumVariable<rInt>"
  {
    Name "AmbientOcclusion"
    Value 0
    Group 7
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
    StepList
    {
      Step
      {
        Value 0
        Enabled 1
        Description "None"
      }
      Step
      {
        Value 1
        Enabled 1
        Description "Vertex"
      }
      Step
      {
        Value 2
        Enabled 1
        Description "Texture"
      }
    }
  }
  Variable "rTVariable<rBool>"
  {
    Name "Pickable"
    Value 1
    Group 8
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BrepChordHeightRatio"
    Value -1
    Group 9
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BrepAngleToleranceDeg"
    Value -1
    Group 10
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BrepAngleToleranceDegCurves"
    Value -1
    Group 11
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BrepChordHeightRatioCurves"
    Value -1
    Group 12
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
      TRANSLATE_USING_GETTEXT
    }
  }
}

Uri "geo-66fc3635-363e-4b19-b27b-38ec2060a147"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
VCID "1dce6247-b90c-4647-b46c-19ad5152cc05"
}
Functionality "rPythonScript"
{
Id 1
Name "PythonScript"
Visible 1
Script "from vcScript import *\nimport vcVector, math
\n
\ncomp = getComponent()
\ncommandSignal = comp.findBehaviour(\"CommandSignal\")
\nwriteViewAnimation = comp.getProperty(\"WriteViewAnimation\")
\n
\napp = getApplication()
\nsim = getSimulation()
\nsnap = app.findCommand(\"interactiveSnap\") 
\ncamera = app.findCamera()
\nfps = 25.0
\n
\n# Clear snap action and unfreeze GUI
\ndef OnReset(): 
\n  snap.clear()
\n  comp.Visible = True
\n  setGUI(True)
\n
\n# Freeze GUI when camera is moving
\ndef setGUI(writable):
\n  zoomIn.WritableWhenConnected = writable
\n  zoomIn.WritableWhenDisconnected = writable
\n  zoomIn.WritableWhenSimulating = writable
\n  
\n  zoomOut.WritableWhenConnected = writable
\n  zoomOut.WritableWhenDisconnected = writable
\n  zoomOut.WritableWhenSimulating = writable
\n  
\n  pan.WritableWhenConnected = writable
\n  pan.WritableWhenDisconnected = writable
\n  pan.WritableWhenSimulating = writable
\n  
\n  rot.WritableWhenConnected = writable
\n  rot.WritableWhenDisconnected = writable
\n  rot.WritableWhenSimulating = writable
\n  
\n  writeViewAnimation.WritableWhenConnected = writable
\n  writeViewAnimation.WritableWhenDisconnected = writable
\n  writeViewAnimation.WritableWhenSimulating = writable
\n  
\n  clearAllViews.WritableWhenConnected = writable
\n  clearAllViews.WritableWhenDisconnected = writable
\n  clearAllViews.WritableWhenSimulating = writable
\n  
\n  clearViewAnimation.WritableWhenConnected = writable
\n  clearViewAnimation.WritableWhenDisconnected = writable
\n  clearViewAnimation.WritableWhenSimulating = writable
\n
\n# Write view to view animation
\n# Known bug: Need to save and load layout again to update Camera Animator GUI
\ndef writeView(delayTime):
\n  app.render()
\n  
\n  viewAnimation = app.findLayoutItem(\"ViewAnimation\") 
\n  viewAnimationRoutine = viewAnimation.Program.MainRoutine
\n  view = app.createView(commandSignal.Value + \"_\")
\n  
\n  viewStatement = viewAnimationRoutine.addStatement(VC_STATEMENT_VIEW) 
\n  viewStatement.Delay = delayTime
\n  viewStatement.View = view.Name  
\n 
\n# Update distance between camera Eye and Coi
\ndef OnDistance(arg):
\n  comp.EyeCoiDistance = (camera.Eye - camera.Coi).length()
\napp.OnRender = OnDistance
\n
\ndef OnRun():
\n  comp.Visible = False
\n  
\n  global targetVector, targetNode
\n  targetVector = vcVector.new()
\n  
\n  while True:    
\n    commandSignal.signal(\"\")    
\n    # Unfreeze GUI
\n    setGUI(True)    
\n    targetNode = None
\n    # Waiting for command 
\n    triggerCondition(lambda: getTrigger() == commandSignal and commandSignal.Value != \"\")    
\n    # Freeze GUI
\n    setGUI(False)
\n    
\n    # Zoom in or out
\n    if \"Zoom\" in commandSignal.Value:
\n      startTime = sim.SimTime
\n      zoomUnit = camera.Coi - camera.Eye      
\n      if commandSignal.Value == \"ZoomOut\":
\n        zoomUnit = -1.0 * zoomUnit
\n      zoomUnit.normalize()
\n      
\n      # Calculate final camera eye position
\n      finalEye = camera.Eye + comp.ZoomDistance * zoomUnit
\n      # Calculate zoom step
\n      zoomStep = int(math.floor(comp.ZoomDistance / (comp.ZoomSpeed / fps)))     
\n      
\n      # Start moving camera
\n      for zoomIndex in range(zoomStep): 
\n        currentEye = camera.Eye
\n        camera.Eye = currentEye + comp.ZoomSpeed * (1 / fps) * zoomUnit                
\n        delay((1 / fps))
\n      
\n      # Set final camera eye position again
\n      camera.Eye = finalEye
\n      
\n      if comp.WriteViewAnimation:
\n        writeView(sim.SimTime - startTime)
\n    
\n    elif commandSignal.Value == \"Pan\":      
\n      startTime = sim.SimTime
\n      diffEyeCoi = camera.Eye - camera.Coi
\n      
\n      # Calculate moving unit vector
\n      panUnit = targetVector - camera.Coi   
\n      distance = panUnit.length()    
\n      panUnit.normalize()
\n      # Calculate pan step
\n      panStep = int(math.floor(distance / (comp.PanSpeed / fps)))
\n      
\n      # Start moving camera
\n      for panIndex in range(panStep):
\n        currentCoi = camera.Coi
\n        camera.Coi = currentCoi + comp.PanSpeed * (1 / fps) * panUnit        
\n        delay((1 / fps))      
\n      
\n      # Set final camera eye and coi position again
\n      camera.Coi = targetVector           
\n      camera.Eye = camera.Coi + diffEyeCoi
\n      
\n      if comp.WriteViewAnimation:
\n        writeView(sim.SimTime - startTime)
\n
\n    elif commandSignal.Value == \"Rot\": 
\n      # Calculate distance between camera eye and coi
\n      floorCoi = vcVector.new(camera.Coi.X, camera.Coi .Y, 0.0)
\n      floorEye = vcVector.new(camera.Eye.X, camera.Eye.Y, 0.0)
\n      radius = (floorEye - floorCoi).length()            
\n      
\n      # Calculate rot time and step
\n      z = camera.Eye.Z        
\n      rotTime = abs(comp.RotAngle) / comp.RotSpeed 
\n      rotStep = int(math.floor(rotTime * fps))
\n      
\n      # Angle is between 0.0~180.0, need to check which direction
\n      lookDirection = floorEye - floorCoi
\n      xDirection = vcVector.new(1.0, 0.0, 0.0)
\n      signed = 1.0
\n      if lookDirection.Y < 0.0:
\n        signed = -1.0    
\n      currentRadian = lookDirection.angle(xDirection) 
\n      
\n      # Start moving camera
\n      for rotIndex in range(rotStep):   
\n        startTime = sim.SimTime
\n        
\n        nextEye = vcVector.new()
\n        nextEye.X = camera.Coi.X + radius * math.cos(signed * currentRadian + rotIndex * comp.RotAngle / rotStep * math.pi / 180.0)
\n        nextEye.Y = camera.Coi.Y + radius * math.sin(signed * currentRadian + rotIndex * comp.RotAngle / rotStep * math.pi / 180.0)
\n        nextEye.Z = z       
\n        camera.Eye = nextEye      
\n        delay((1 / fps))
\n        
\n        if comp.WriteViewAnimation:
\n          writeView(sim.SimTime - startTime)
\n
\n    app.render()
\n    
\n    # Continue snap, until escape key is pressed
\n    OnPan(\"\")
\n
\ndef OnZoomIn(arg):
\n  commandSignal.signal(\"ZoomIn\")
\n
\nzoomIn = comp.getProperty(\"ZoomIn\")
\nzoomIn.OnChanged = OnZoomIn
\n
\ndef OnZoomOut(arg):
\n  commandSignal.signal(\"ZoomOut\")
\n
\nzoomOut = comp.getProperty(\"ZoomOut\")
\nzoomOut.OnChanged = OnZoomOut
\n
\ndef OnRot(arg):
\n  commandSignal.signal(\"Rot\")
\n
\nrot = comp.getProperty(\"Rot\")
\nrot.OnChanged = OnRot
\n
\ndef OnPanSnapped(arg):
\n  global targetVector
\n  targetVector = snap.TargetPosition    
\n  commandSignal.signal(\"Pan\")
\n  
\ndef OnPan(arg):
\n  if sim.IsRunning:
\n    snap.clear() 
\n    snap.OnTargetSet = OnPanSnapped
\n    snap.execute()
\n
\npan = comp.getProperty(\"Pan\")
\npan.OnChanged = OnPan
\n
\ndef OnClearAllViews(arg):
\n  for view in app.Views:
\n    app.deleteView(view.Name)
\n
\nclearAllViews = comp.getProperty(\"ClearAllViews\")
\nclearAllViews.OnChanged = OnClearAllViews
\n
\ndef OnClearViewAnimation(arg):
\n  viewAnimation = app.findLayoutItem(\"ViewAnimation\") 
\n  viewAnimationRoutine = viewAnimation.Program.MainRoutine
\n  viewAnimationRoutine.clear()
\n
\nclearViewAnimation = comp.getProperty(\"ClearViewAnimation\")
\nclearViewAnimation.OnChanged = OnClearViewAnimation
\n
\n
\n"
CompatibilityMode 0
}
Functionality "rSimStringSignal"
{
Id 2
Name "CommandSignal"
Visible 1
Connections
{
"PythonScript"
}
AutomaticReset 1
}
VCID 1dce6247-b90c-4647-b46c-19ad5152cc05
OriginalUri vcid:1dce6247-b90c-4647-b46c-19ad5152cc05
Revision 0
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 -3.63797880709e-12 1 
ActiveSimulationLevel detailed
BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pan"
    Value 0
    Group 25
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "PanSpeed"
    Value 6000
    Group 24
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Speed" "ScalarQuantity"
    {
      Groups
      {
        UnitGroup "US Speed"
        {
          Unit
          {
            Name "feet per minute"
            Suffix "fpm"
            Factor 5.07999992370605
            Offset 0
          }
          Family "US degrees"
          Family "a"
        }
        UnitGroup "mm/min"
        {
          Unit
          {
            Name "dfdf"
            Suffix "m/min"
            Factor 1
            Offset 0
          }
        }
      }
    }
    Magnitude 1
  }
  Variable "rTVariable<rButton>"
  {
    Name "Rot"
    Value 1
    Group 23
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ZoomDistance"
    Value 12000
    Group 13
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Distance" "VectorQuantity"
    {
      Groups
      {
        UnitGroup "Distance (Mixed)"
        {
          Unit
          {
            Name "Millimeters"
            Suffix "mm"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Centimeters"
            Suffix "cm"
            Factor 10
            Offset 0
          }
          Unit
          {
            Name "Meters"
            Suffix "m"
            Factor 1000
            Offset 0
          }
          Unit
          {
            Name "Inches"
            Suffix "in"
            Factor 25.4
            Offset 0
          }
          Family "new"
        }
        UnitGroup "Mixed Distance"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
        }
        UnitGroup "Mixed distance"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
        }
        UnitGroup "Position"
        {
          Unit
          {
            Name "Position"
            Suffix ".Y"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Position"
            Suffix ".X"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Position"
            Suffix ".Angle"
            Factor 1
            Offset 0
          }
          Family "Position"
        }
        UnitGroup "new"
        {
          Unit
          {
            Name "Meter"
            Suffix "m"
            Factor 1000
            Offset 0
          }
          Family "Metric degrees"
          Family "new"
        }
        UnitGroup "test"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
          Family "Test"
        }
        UnitGroup "Distance Inches"
        {
          Unit
          {
            Name "In"
            Suffix "in"
            Factor 1
            Offset 0
          }
        }
        UnitGroup "Inches"
        {
        }
      }
    }
    Magnitude 1
  }
  Variable "rTVariable<rButton>"
  {
    Name "ZoomIn"
    Value 0
    Group 16
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ZoomSpeed"
    Value 6000
    Group 14
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Velocity" "VectorQuantity"
    {
      Groups
      {
        UnitGroup "Capacity"
        {
          Unit
          {
            Name "meters per hour"
            Suffix "[m/h]"
            Factor 1
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
        }
        UnitGroup "Metrische Geschwindigkeit Roth Rau"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666679382324
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "Test"
          Family "US degrees"
        }
        UnitGroup "Metrische Geschwindigkeit_Rippert"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666660308838
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "US degrees"
        }
        UnitGroup "Metrische Geschwindigkeit_m/min"
        {
          Unit
          {
            Name "Meter pro Minute"
            Suffix "m/min"
            Factor 16.6666660308838
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
          Family "US degrees"
        }
        UnitGroup "Test_m_min"
        {
          Unit
          {
            Name "Meter pro min"
            Suffix "m/min"
            Factor 16.6666889190674
            Offset 0
          }
          Family "Metric degrees"
          Family "Metric radians"
        }
      }
    }
    Magnitude 1
  }
  Variable "rTVariable<rButton>"
  {
    Name "ZoomOut"
    Value 1
    Group 17
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "EyeCoiDistance"
    Value 32577.3324722389
    Group 18
    Settings
    {
      VISIBLE
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rBool>"
  {
    Name "WriteViewAnimation"
    Value 0
    Group 82
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "ClearAllViews"
    Value 0
    Group 71
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "ClearViewAnimation"
    Value 0
    Group 81
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "RotAngle"
    Value 360
    Group 21
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Angle"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "RotSpeed"
    Value 60
    Group 22
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
    Quantity "Angular velocity"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "CameraSize"
    Value 30
    Group 92
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
      TRANSLATE_USING_GETTEXT
    }
  }
}
}
